# 上传批量数据


## 修改历史


## 接口定义

    /v1/batch_upload_cornea_data
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{deviceSN}/{orgID}/{campID}
    X-Sign               {String}       rsa(timestamp_userId) 加密

### Form Parameters

    [{"dataId":"1DE5CAAA-DB46-419A-8162-EC853DAEA5CF","studentId":"1111","pd":62.0,"cd":10.00,"cyl":-00.20,"leftR1":07.90,"leftR2":07.70,"leftA1":170,"rightR1":07.90,"rightR2":07.70,"rightA1":170,"testTime":1560426091,"classId":1111}]

## Response

### Example

**Command**

    curl -X POST \
           -H "X-DeviceInformation: 11%2f22%2f96" \
           -H "X-Sign: qM2Ep2wGF5xCJMerRVxtzciuWi8xrjgLkhNpvV2zNLF/Rv/Rf9FF3XwsIF/BOHFPEtwbmGNX57fkdzTEriDTZaCJ566PbNy7eklZ21GdAXSsrpY6Yl6YfRqSFCJbzatB0tCAKkMkHaizJ+5g05PklCo6833E9x8VZZ8g1mf4oXg=" \
           -H "Content-Type: application/json" \
           -d '[{"dataId":"1DE5CAAA-DB46-419A-8162-EC853DAEA5CF","studentId":"1111","pd":62.0,"cd":10.00,"cyl":-00.20,"leftR1":07.90,"leftR2":07.70,"leftA1":170,"rightR1":07.90,"rightR2":07.70,"rightA1":170,"testTime":1560426091,"classId":1111}]' \
           http://localhost:8080/v1/batch_upload_cornea_data

**Output**

    {
      "errno": 200,
      "data": {
        "ed7d9a9c-93c5-11e9-ad5f-32001713d000",
        "ed7daee2-93c5-11e9-ad5f-32001713d000",
      }
      "msg": "success"
    }