# 获取学生信息

## 修改记录


## 接口定义

    /partner/get_student_info
    GET

## Request

API请求参数

### Head
         X-DeviceInformation  {String}       设备信息, 格式为: {deviceId}
            X-LoginType          {String}       partner
            X-AppKey             {String}      appKey
            X-Sign               {String}       aes(时间戳) 加密，密码是 appSecret，时间戳有效期是2个小时

### Form Parameters

 studentId              {int} 

## Response


### Example


**Command**

    curl -X GET \
        -H "X-LoginType: partner" \
       	-H "X-DeviceInformation: 1122" \
       	-H "X-AppKey: 9de1f320964a11e9ad5f32001713d000" \
        -H "X-Sign: tna8CtdlphD7RcgwXYHWsQ==" \
          https://t.api.test.iouou.cn/partner/get_student_list?limit=3&page=1

**Output**

{
    "data": {
        "studentId": 101123985365794816,
        "studentName": "陈宇昕",
        "gender": 1,
        "isUseGlasses": 0,
        "class": "1900班",
        "grade": "1年级",
        "campName": "湘潭县第一中学"
    },
    "errno": 200,
    "msg": "success"
}